/* ==========================================================================
* 파    일 : NpcTarotSelectWindow.h
* 목    적 : 점집확인 윈도우
* 작 성 자 : 김가람 
* 작 성 일 : 2009-01-06
* 주의사항 :
*===========================================================================*/
#pragma once
#include "UIWindow.h"

class cLabel;
class cTarotWindow;

class cNpcTarotSelectWindow : public cUIWindow
{
public:
	cNpcTarotSelectWindow();
	virtual ~cNpcTarotSelectWindow();

	/// 선택 갯수 세팅
	void SelectCount( short count, short max );
	void SetEnableComplete( bool enable );

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnCommand( cUINode* pnode, unsigned int id );
	void OnShow();

private:
	cTarotWindow*	mpMain;

	cLabel*			mpCount;		/// 카드선택 장수
	cUINode*		mpComplete;		/// 선택완료
};